Subject: Re: 'new' broken in 2-95.2
From: Earnie Boyd <[email-masked]>
To: [email-masked], Mumit Khan <[email-masked]>
Cc: Norman Vine <[email-masked]>
Date: Thu, 16 Dec 1999 04:54:59 -0800 (PST)

--- Chris Faylor <[email-masked]> wrote:
> On Wed, Dec 15, 1999 at 06:59:56PM -0600, Mumit Khan wrote:
> >On Wed, 15 Dec 1999, Norman Vine wrote:
> >> The last couple of times I have installed cygnus
> >> with gcc-2.95.2 I have gotten this troubling
> >> error
> >> 
> >>
>
/c/CYGNUS/CYGWIN~1/H-I586~1/BIN/../lib/gcc-lib/i586-cygwin32/2.95.2/include/new.
> >> h:6: new: Permission denied
> >> 
> >> It is easily solved ( hacked ) by changing
> >>
>
c:\cygnus\cygwin-b20\H-i586-cygwin32\lib\gcc-lib\i586-cygwin32\2.95.2\include\new.h
> >> line 6
> >> //#include <new>
> >> #include "new"
> >> 
> >> but I am wondering what else is broken that I am not
> >> seeing ??
> >> 
> >> This is with a fresh install of
> >> b20.1 full.exe
> >> cygwin-inst-19991201.tar.gz
> >> cygwin1-19991205.dll.gz
> >> binutils-2.9.4-cygb20.tar.gz
> >> gcc-2.95.2-cygb20.tar.gz
> >> gcc-2.95.2-dev-ss.tar.gz
> >> in that order
> >
> >The dev snapshots are for developers, and unless you're willing to
> >switch back and forth and find a stable one, you're on your own.
> >This is the usual caveat on using the nightly snapshots, which come
> >without *any* guarantee that it will even run!
> 
> This is true, of course, but I'm not aware of any changes in the
> snapshots which will cause a file to erroneously report "Permission
> denied".
> 

How about, you're on NT and you have badly constructed /etc/passwd and
/etc/group files?  I believe that ntsec is still turned on in the snapshots. 
This could possibly give this error.

=====
Earnie Boyd <mailto:[email-masked]>
Cygwin Newbies, please visit
<http://www.freeyellow.com/members5/gw32/index.html>
__________________________________________________
Do You Yahoo!?
Thousands of Stores.  Millions of Products.  All in one place.
Yahoo! Shopping: http://shopping.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]